Page MenuHomePhabricator

[DO NOT USE] WikiEditor issues (tracking) [superseded by #WikiEditor]
Closed, InvalidPublic

Description

Tracking bug for enhanced toolbar issues.


Version: unspecified
Severity: normal

Details

Reference
bz24493

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:03 PM
bzimport set Reference to bz24493.
bzimport added a subscriber: Unknown Object (MLST).
Danny_B created this task.Jul 22 2010, 12:01 PM

What subset of tickets in the "WikiEditor" component is this meta bug exactly for?

Valerie.m.juarez wrote:

Tentatively adding bug 44215 as blocker. Please remove if this is incorrect.

Danny B.: Which subset of tickets in the "WikiEditor" component is this meta bug exactly for? I'd like to understand why it exists and the purpose it fulfils.

Looking at this report's history, it was moved from Component "UsabilityInitiative" to "WikiEditor" (which probably was created later).

Remaining open dependency tickets that had been filed under (deprecated) "UsabilityInitiative" component have been moved to "WikiEditor" component, hence I'm closing this report - it's not needed anymore.

Tracking bugs are never to be closed unless the subject of tracking no longer exist. Reopening.

Yes, tracking bugs can be closed, and all "WikiEditor issues" are covered in the WikiEditor component already. Please explain the need for duplication of categorization if you see reasons for keeping this open - I cannot see any currently.

  1. You obviously don't realize the basic feature differences between components, keywords and tracking bugs:

Compare
https://bugzilla.wikimedia.org/buglist.cgi?component=WikiEditor
with
https://bugzilla.wikimedia.org/showdependencytree.cgi?id=24493&hide_resolved=1
and
https://bugzilla.wikimedia.org/showdependencygraph.cgi?id=24493

Also please read bug 2007 comment 4 why we use tracking bugs and what for (although it comments keywords only, it applies to components as well).
I specifically emphasize the mailing notifications.

Please do realize the differences between these three (I'm discounting the whiteboard, which is sort of unrestricted keywords) bug sorting methods. Each of them has different features which are usable in different usecases for different monitoring and sorting.

  1. As stated in comment 6, tracking bugs are not to be closed unless their subject no longer exists, among other exactly to prevent breaking of features mentioned above.
  1. You can't close the bug which depends on other opened bugs - that breaks the dependency tree and is obviously against the logic (and the habit up till now). And please don't dare to cheat by removing them. ;-)

Danny: My repeated questions here what this specific tracker bug is for remained unanswered, and your last comment is unfortunately only a general explanation of some Bugzilla features and concepts that we're both aware of.

Would you mind answering my previous questions, and what *this* specific tracker bug is for (compared to the list of open issues in the WikiEditor component), which additional value it offers, and for who?

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:38 AM
Phabricator_maintenance removed subtasks: T46215: WikiEditor Help Section displays Parse Errors, T34374: WikiEditor's heading drop-down menu is shown behind textarea, T34241: WikiEditor scrolls the browser and does not insert on IE7, IE8, IE9 if textarea doesn't fit on screen, T25943: too many buttons in the toolbar, or little available width for the toolbar, causes buttons to overflow, T25942: "Find and Replace" is missing when "Enable dialogs for inserting links, tables and more" is not checked, T25930: Enhanced Toolbar: Combine quotation marks to one click, T25927: Enhanced Toolbar: Inserted character is highlighted, T25914: Custom bold and italic icons for Russian & Ukrainian language, T25860: Header dropdown appears behind textarea, T25858: Special characters insertion doesn't overwrite selection, T25824: Search & replace button is hard to find, T25810: Bold and italic icons on Polish Wikipedia, T25770: Incorrect set of characters for Arabic special characters toolbar, T25659: Can't use toolbar, T25625: use B and I as icons for Bold and Italic in the Hebrew Wikipedia in the enhanced toolbar in Vector, T25578: Link dialog puts spaces inside links, causes markup like [[Foo ]]bar which renders as [[Foo bar|Foo]], T25579: Headers : IE 7 / 8 not inserting the header items on the selected location, T25541: Enhanced toolbar dropdowns occasionally appear behind textarea, T23849: Wikeditor/Toolbar. Make toolbar configurable per project, T25522: Insert Reference: Opera not closing insert reference window over click on Cancel, T25509: "Search and replace" should work in all supported browsers, T25510: "Replace all" is very slow: WikiEditor should do a one-step replace when replacing all occurrences, T25500: Search & Replace : Find is not working on firefox[NTOC feature off], T33847: WikiEditor headings dropdown inserts headings in wrong, random location in IE, T25469: Autoformatting should insert untight wikitext, T25457: API: removeFromToolbar doesn't work for buttons, T25446: inserting special characters when using Vector causes unneeded scrolling, T23713: Tool Bar : Embedded file add function act differently, T23567: Toolbar buttons (bold) insert text on top or somewhere, T25191: Default toolbar icons for bold/italic are inconsistent, T23492: Toolbar buttons insert text on top in IE, T23486: Advanced toolbar doesn't show in Safari 3, T25065: WikiEditor buttons should have IDs, T25052: Edit window should not scroll when inserting text in WikiEditor's iframe mode (using toolbar, special characters or dialogs), T21998: Enhanced editing toolbar displacement, T23269: Header dropdown should be cleverer, consider selection, T24964: Image toolbar button inserts [[Example.jpg]] without File: prefix, T23257: New edit toolbar should include a redirect button by default, T23247: Search and Replace: Page scroll after a replace/find in IE7/IE8, T21847: Blank toolbar., T21843: Enhanced editing toolbar does not clear floats, T24901: Insert Link Dialog: close x behaves strange, T21776: EditToolbar: '''Bold Text''' inserted into textarea when hitting "enter" in the summary field, T24878: Dialogs: Search and Replace : Production : IE malfunction, T24857: Toolbar : FF 2.0.0.20 beta tool bar is different o FF 3.5.8 on same machine, same login and all versions of Opera, T24801: Search and replace - not always displaying found term, T23051: Search & Replace: Non-regex mode with regex characters like [^ ] fails in IE8, T26488: Don't encourage users to insert deprecated presentational tags by presence of such buttons on edit toolbar, T22941: Tool Bar is defferent in Firefox 1.5.0.12, T22922: deployment of edit toolbar causes absolutely infuriating cursor jump, T22893: Toolbar dialogs break when JS2 is enabled, T24571: Toolbar : Users who not use the beta version can see the beta version features, T24572: Toolbar : Embedded file behave different on Opera 9.6, T24562: Toolbar : Beta version tool bar shown before enter to Try Beta, T26327: Search & replace: "Replace and find next" instead of "Replace next", T24528: Toolbar : Old toolbar shown in Beta environment in Android, T24488: Newline handling when using edit toolbar buttons, T24492: Heading drop down stay open after inserting a heading, T24479: Toolbar : Special character insertion moves cursor to beginning of edit box, T24480: Special characters in toolbar should be shown in the same font as the ones in the edit box when iframe is enabled, T24465: Toolbar : Old toolbar is not available when Enhanced toolbar is disabled, T24455: Editing does not work with enhanced toolbar enabled, T24431: Toolbar : Bold and Italic icons differ in English and Sinhala tool bars, T26191: Signature button in Hungarian should produce "– ~~~~", T26188: Bold and Italic Icons in Vector toolbar to 'B' and 'I' in Malayalam, T24405: Cannot undo after using toolbar buttons, T24357: Toolbar : Insert table malfunction in IE7/8 and Opera 10.10, T26114: Localize magic words referenced in WikiEditor toolbar, T24350: Toolbar : picture gallery malfunction in some browsers, T24349: Toolbar: Inserted text goes to the top of the page in IE8, T24354: Toolbar : Insert link with blank title, T24347: Toolbar : Numbered list shows different in different browsers, T24348: Toolbar : Firefox 2.0.0.20 is not responding with any function, T24281: Toolbar : Bullet create in different browsers are not the same, T26011: Bold and italic icons on Georgian (ka) Wikipedia, T24262: Toolbar : IE7/IE8 : Help selection of one article reflects on another, T24209: Toolbar : Indent button should indent each line, T24208: Toolbar: Reference button doesn't insert <references /> tag, T22297: toolbar does not load on Safari 2.Jul 30 2016, 3:22 PM
Danny_B renamed this task from WikiEditor issues (tracking) to [DO NOT USE] WikiEditor issues (tracking) [superseded by #WikiEditor].Jul 30 2016, 3:24 PM
Danny_B changed the task status from Declined to Invalid.
Danny_B lowered the priority of this task from Normal to Lowest.
Danny_B removed a subscriber: wikibugs-l-list.